<?php
	$currDir = dirname(__FILE__);
	include("$currDir/nel.php");
	include("$currDir/defaultLang.php");
	include("$currDir/language.php");
	include("$currDir/lib.php");

	include_once("$currDir/header.php");

	/* grant access to all users who have access to the facture table */
	$order_from = get_sql_from('tresorerie_caisse');
	if(!$order_from) exit(error_message('Access denied!', false));

	/* get invoice */
	$order_id = intval($_REQUEST['idtresorerie_caisse']);
	if(!$order_id) exit(error_message('Invalid invoice ID!', false));
	
	/* retrieve facturations info */
	$order_fields = get_sql_fields('tresorerie_caisse');
	$res = sql("select {$order_fields} from {$order_from} and idtresorerie_caisse={$order_id}", $eo);
	if(!($order = db_fetch_assoc($res))) exit(error_message('Invoice not found!', false));
	
	
	//var_dump($order);
	
	/* retrieve order items */
	$items = array();
	$order_total = 0;
	$item_fields = get_sql_fields('tresorerie_items');
	$item_from = get_sql_from('tresorerie_items');
	$res = sql("select {$item_fields} from {$item_from} and tresorerie_items.link_out={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal'] = str_replace('$', '', $row['montant']) * $row['commission_agence'] / 100 + $row['montant'];
		$items[] = $row;
		$order_total += $row['LineTotal'];
	}
	//var_dump($items);
	
	?>
	<!-- bouton impression -->
	<html>

		<head>
			<title></title>
			<style type="text/css" media="print">
				input.imprimer {
					display: none;
				}
		#bas {
				position: fixed;
			bottom: 0;
			width: 100%;
		}
			</style>

		</head>

<body>

    <form method="POST" action="">

        <input type="button" value="Imprimer" class="imprimer" name="bnom" onClick="javascript:window.print()">
    </form>

</body>

	</html>
		
	<img id="img1" src="images/logo.jpg" alt="edpto" style="width: 80px; float: right;">
	<h3>GEIGROUPE</h3>

	<p>Tél. + 222 41 15 12 39</p>
	<p>Web. https://geigroupe.mr<br>Email. geigroupe@geigroupe.mr</p>
	<hr>

	<div class="row">
		<div class="col-sm-6">
			<!-- customer info -->
			<h2>TRESORERIE CAISSE</h2>
		</div>
		<div class="col-sm-6 text-right">
			<!-- invoice info -->
			<h5>Date : <?php echo $order['date']; ?></h5>
			<h5>N°<?php echo $order['idtresorerie_caisse']; ?></h5>
			<center>
				<bold>
					<h5>Journée du : <?php echo $order['journee_du']; ?></h5>
				</bold>
			</center>
		</div>
	</div>
	<hr>
	<!-- order items -->
	<table class="table table-striped table-bordered">
		<thead>
			<th class="text-center">#</th>
			<th>N°ORDRE</th>
			<th>P.JUSTIFICATIVE</th>
			<th>LIBELLES</th>
			<th class="text-center">MONTANT</th>
			<th class="text-center">COMMISSION AGENCE</th>
			<th class="text-center">NET COMPAGNIE</th>
			<th class="text-center">OBSERVATION</th>
		</thead>

		<tbody>
			<?php foreach($items as $i => $item){ ?>
			<tr>
				<td class="text-center"><?php echo ($i + 1); ?></td>
				<td class="text-center"><?php echo $item['idtresorerie_item']; ?></td>
				<td><?php echo $item['justificatif']; ?></td>
				<td><?php echo $item['libelles']; ?></td>
				<td class="text-center"><?php echo $item['montant']; ?></td>
				<td class="text-center"><?php echo $item['commission_agence']; ?></td>
				<td class="text-right"><?php echo number_format($item['LineTotal'], 0, ',', ' '); ?></td>
				<td><?php echo $item['observations']; ?></td>
			</tr>
			<?php } ?>
		</tbody>

		<tfoot>


			<tr>
				<th colspan="6" class="text-right">TOTAL</th>
				<th class="text-right"> <?php echo number_format($order_total + $order['Freight'], 0, ',', ' '); ?></th>
			</tr>
		</tfoot>
	</table>
	<span id="in-words"><b>Arrêté à la somme de:</b></span>
	<?php
	include_once('nel.php');
	echo enlettres("$order_total");
	?>
	<span id="in-words"><b> fcfa</b></span>

	<div id="bas">
	<center>
		<p>
		<hr>
			Générale des Entreprises Informatique<br>
			Nouakchott - Mauritanie<br>
		</p>
	</center>
	</div>
<?php

	include_once("$currDir/footer.php");

?>
